Checking connection...

Mullvad not affected by recent OpenSSL vulnerabilities

1 March 2016  NEWS

This afternoon OpenSSL published security advisories on eight vulnerabilities. OpenSSL gave advance notice of the upcoming patch last week, so our engineers had ample time to prepare for the worst. After a short investigation we could conclude that Mullvad is not vulnerable.